package com.servicemall.car.micro;

import com.servicemall.systemcommon.data.Constants;
import com.servicemall.systemcommon.data.ValidCheckException;
import com.servicemall.systemcommon.util.JsonUtil;
import com.servicemall.website.data.Slider;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.http.MediaType;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;
import team.bangbang.common.data.response.DataResponse;
import team.bangbang.common.data.response.ResponseBase;

import java.util.HashMap;
import java.util.Map;

/**
 * 车龄 - 微服务
 *
 * 对应Feign：com.servicemall.website.feign.SliderFeign
 *
 * @author 帮帮组
 * @version 1.0  2020-12-08
 */
@Api(tags = {"car"})
@RestController
@CrossOrigin(allowCredentials="true", allowedHeaders="*", origins="*", maxAge=3600)
@RequestMapping("/microservice/car/carage")
public final class CarAgeMicro {
	 /**************************************************************************
	 * ！！除非设计、指导人员有特别说明，否则此处不得随意增加、修改、删除！！
	 * －－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－
	 *
	 *************************************************************************/

	/**
	 * 车龄选项接口
	 */
	@ApiOperation(value = "车龄选项", notes = "车龄选项列表", httpMethod = "POST")
	@PostMapping(value="/list", produces={ MediaType.APPLICATION_JSON_VALUE }, consumes={ MediaType.APPLICATION_JSON_VALUE })
	@ApiImplicitParams({
			@ApiImplicitParam(paramType = "body", name = "json", value = "入参格式:{}", dataType = "string")
	})
	public ResponseBase carAgeList(@RequestBody String json) {
		DataResponse<Object> result = new DataResponse<>();
		try {
			Map<String, Object> paramMap = JsonUtil.toBean(json, Map.class);
			Map<String, Object> datas = new HashMap<>();
			String[]  carAges= Constants.carAge;
			datas.put("carAge", carAges);
			result.setData(carAges);
			result.setMessage("成功");
			return result;
		} catch (ValidCheckException e) {
			return new ResponseBase(e.getCode(),e.getMessage());
		}
	}

}
