package com.servicemall.loyalty.data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 礼遇计划 - POJO
 * 对应数据库表：loyalty_plan_base
 *
 * @author qiuli.feng
 * @version 1.0  2020-12-08
 */
public class Selected implements Serializable {

    /* 编号（关键字） */
    @ApiModelProperty(value="编号", required = true)
    private Long id = null;

    /* 精选名称(计划/活动/产品（只含轮胎）) */
    @ApiModelProperty(value="精选名称(计划/活动/产品（只含轮胎）", required = true)
    private String name = null;

    /* 图片 */
    @ApiModelProperty(value="图片" , required = true)
    private String image = null;

    /* 精选类型 */
    @ApiModelProperty(value="精选类型{1:计划2:活动3:轮胎}" , required = true)
    private Integer type = null;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
