package com.servicemall.loyalty.micro;


import com.servicemall.loyalty.data.Selected;
import com.servicemall.loyalty.service.SeletedService;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import team.bangbang.common.data.Pagination;
import team.bangbang.common.data.response.DataResponse;
import team.bangbang.common.data.response.ResponseBase;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 精选
 *
 * 对应
 *
 * @author 帮帮组
 * @version 1.0  2020-12-08
 */
@Api(tags = {"selected"})
@ApiResponses(value={@ApiResponse(code=200, message="请求的服务不存在")})
@RestController
@CrossOrigin(allowCredentials="true", allowedHeaders="*", origins="*", maxAge=3600)
@RequestMapping("/microservice/loyalty/")
public class SelectedMicro {


    /**
     * 查询精选列表 计划/活动/产品（只含轮胎），并转化为相应的POJO对象列表
     *
     *
     * @return 返回结果记录，并转化为相应的POJO对象列表
     */
    @PostMapping("/selectedlist")
    @ApiOperation(value = "获取精选列表", notes = "精选包含计划/活动/轮胎等", httpMethod = "POST")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "query", name = "pageNo", value = "分页参数 - 页号，默认为1", dataType = "Integer"),
            @ApiImplicitParam(paramType = "query", name = "pageSize", value = "分页参数 - 每页最大记录数量，默认为10", dataType = "Integer")
    })
    public ResponseBase list(Integer pageNo, Integer pageSize) {
        if(pageNo == null) pageNo = 1;
        if(pageSize == null) pageSize = 10;

        // 分页数据
        Pagination pagination = new Pagination();
        pagination.setRecordCount(Integer.MAX_VALUE);
        pagination.setMaxResults(pageSize);
        pagination.setPageNo(pageNo);

        // 统计符合条件的结果记录数量
        int recordCount = 0;
        pagination.setRecordCount(recordCount);

        List<Selected> selectedList = SeletedService.list();

        DataResponse<Map<String, Object>> result = new DataResponse<Map<String, Object>>();
        Map<String, Object> datas = new HashMap<String, Object>();
        datas.put("list", selectedList);
        datas.put("pagination", pagination);

        result.setData(datas);
        result.setMessage("成功");
        return result;
    }
}
