package team.bangbang.spring.db.druid;

import java.sql.SQLException;

import javax.sql.DataSource;

import org.springframework.boot.autoconfigure.AutoConfigureBefore;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.jdbc.core.JdbcTemplate;

import team.bangbang.common.sql.SQLPool;


@Configuration
@AutoConfigureBefore(DataSourceAutoConfiguration.class)
public class DruidAutoConfiguration {
    @Bean
    @Primary
    public DataSource dataSource() {
        try {
			return SQLPool.getDataSource();
		} catch (SQLException e) {
			e.printStackTrace();
		}
        
        return null;
    }

    @Bean(name = "jdbcTemplate")
    public JdbcTemplate keyJdbcTemplate(DataSource keyDataSource) {
        return new JdbcTemplate(keyDataSource);
    }
}
